package cz.moneta.test.dsl.ufo.banka.pages.fon;

import cz.moneta.test.dsl.ufo.banka.pages.cards.debit.HPO009_S001_DebitCardDetailPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.OBR001_S001_PrintInstructionPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.NEP028_S001_SignaturePage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface TIS050_S001_SignerSelectionPageTransitions extends WebFlow<TIS050_S001_SignerSelectionPageTransitions> {

    CIF001_S017_ClientSignatureConfirmationPage onClientSignatureConfirmationPage();

    PSP004_S001_PrintPage onPrintPage();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();

    NEP028_S001_SignaturePage onSignaturePage();

    HPO009_S001_DebitCardDetailPage onDebitCardDetailPage();
}
